-- phpMyAdmin SQL Dump
-- version 2.7.0-pl2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Aug 02, 2006 at 04:20 AM
-- Server version: 4.0.16
-- 
-- Brewthology Database Setup
-- Version v0.1
-- http://www.brewthology.com
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_beerxml`
-- 

CREATE TABLE IF NOT EXISTS `bxml_beerxml` (
  `recordid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `bxml_users_userrecid` smallint(5) unsigned NOT NULL default '0',
  `recstatus` smallint(5) unsigned NOT NULL default '0',
  `createdate` datetime NOT NULL default '0000-00-00 00:00:00',
  `updatedate` datetime default NULL,
  PRIMARY KEY  (`recordid`,`bxml_recipes_reciperecid`,`bxml_users_userrecid`),
  KEY `bxml_beerxml_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_beerxml_FKIndex2` (`bxml_users_userrecid`),
  KEY `bxml_beerxml_index1486` (`createdate`,`recstatus`)
) TYPE=MyISAM AUTO_INCREMENT=101 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_fermentables`
-- 

CREATE TABLE IF NOT EXISTS `bxml_fermentables` (
  `fermentrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `fermtype` varchar(15) NOT NULL default '',
  `amount` float NOT NULL default '0',
  `yield` float NOT NULL default '0',
  `color` float NOT NULL default '0',
  `add_after_boil` tinyint(3) unsigned default NULL,
  `origin` text,
  `supplier` text,
  `notes` text,
  `coarse` float default NULL,
  `moisture` float default NULL,
  `diastatic` float default NULL,
  `protein` float default NULL,
  `maxin` float default NULL,
  `shouldmash` tinyint(3) unsigned default NULL,
  `ibugal` float default NULL,
  `potential` float default NULL,
  PRIMARY KEY  (`fermentrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_fermentables_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_fermentables_index1488` (`name`,`fermtype`)
) TYPE=MyISAM AUTO_INCREMENT=781 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_hops`
-- 

CREATE TABLE IF NOT EXISTS `bxml_hops` (
  `hopsrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `version` smallint(5) unsigned NOT NULL default '0',
  `alpha` float NOT NULL default '0',
  `amount` float NOT NULL default '0',
  `hopuse` varchar(10) NOT NULL default '',
  `time` float NOT NULL default '0',
  `notes` text,
  `hoptype` varchar(10) default NULL,
  `form` varchar(10) default NULL,
  `beta` float default NULL,
  `hsi` float default NULL,
  `origin` text,
  `substitutes` text,
  `humulene` float default NULL,
  `caryo` float default NULL,
  `cohum` float default NULL,
  `myrcene` float default NULL,
  PRIMARY KEY  (`hopsrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_hops_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_hops_index1496` (`name`,`hoptype`,`hopuse`)
) TYPE=MyISAM AUTO_INCREMENT=746 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_mashprofs`
-- 

CREATE TABLE IF NOT EXISTS `bxml_mashprofs` (
  `mashprofsrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `graintemp` float NOT NULL default '0',
  `notes` text,
  `tuntemp` float default NULL,
  `spargetemp` float default NULL,
  `ph` float default NULL,
  `tunweight` float default NULL,
  `tunspecheat` float default NULL,
  `equipadj` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`mashprofsrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_mashprofs_FKIndex1` (`bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=195 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_mashsteps`
-- 

CREATE TABLE IF NOT EXISTS `bxml_mashsteps` (
  `mashsteprecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_mashprofs_bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `bxml_mashprofs_mashprofsrecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(40) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `steptype` varchar(15) NOT NULL default '',
  `infsamt` float default NULL,
  `steptemp` float NOT NULL default '0',
  `steptime` float NOT NULL default '0',
  `ramptime` float default NULL,
  `endtemp` float default NULL,
  `descrip` text,
  PRIMARY KEY  (`mashsteprecid`,`bxml_mashprofs_bxml_recipes_reciperecid`,`bxml_mashprofs_mashprofsrecid`),
  KEY `bxml_mashsteps_FKIndex1` (`bxml_mashprofs_mashprofsrecid`,`bxml_mashprofs_bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=303 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_miscs`
-- 

CREATE TABLE IF NOT EXISTS `bxml_miscs` (
  `miscsrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(40) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `misctype` varchar(20) NOT NULL default '',
  `miscuse` varchar(20) NOT NULL default '',
  `time` float NOT NULL default '0',
  `amount` float NOT NULL default '0',
  `amtweight` tinyint(3) unsigned default NULL,
  `usefor` text,
  `notes` text,
  PRIMARY KEY  (`miscsrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_miscs_FKIndex1` (`bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=254 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_ratings`
-- 

CREATE TABLE IF NOT EXISTS `bxml_ratings` (
  `ratingrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `bxml_users_userrecid` smallint(5) unsigned NOT NULL default '0',
  `rating` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ratingrecid`,`bxml_recipes_reciperecid`,`bxml_users_userrecid`),
  KEY `bxml_ratings_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_ratings_FKIndex2` (`bxml_users_userrecid`)
) TYPE=MyISAM AUTO_INCREMENT=124 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_recipes`
-- 

CREATE TABLE IF NOT EXISTS `bxml_recipes` (
  `reciperecid` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `rectype` varchar(15) NOT NULL default '',
  `brewer` varchar(40) NOT NULL default '',
  `asst_brewer` varchar(40) default NULL,
  `batch_size` float NOT NULL default '0',
  `boil_size` float NOT NULL default '0',
  `boil_time` smallint(5) unsigned NOT NULL default '0',
  `efficiency` float default NULL,
  `notes` text,
  `og` float default NULL,
  `fg` float default NULL,
  `ferment_stages` tinyint(3) unsigned default NULL,
  `primary_age` smallint(5) unsigned default NULL,
  `primary_temp` float default NULL,
  `secondary_age` smallint(5) unsigned default NULL,
  `secondary_temp` float default NULL,
  `tertiary_age` smallint(5) unsigned default NULL,
  `tertiary_temp` float default NULL,
  `age` smallint(5) unsigned default NULL,
  `age_temp` float default NULL,
  `brewdate` date default NULL,
  `carbonation` float default NULL,
  `forced_carb` tinyint(3) unsigned default NULL,
  `sugar_name` varchar(15) default NULL,
  `carb_temp` float default NULL,
  `sugar_equiv` float default NULL,
  `keg_prime` float default NULL,
  `est_og` float default NULL,
  `est_fg` float default NULL,
  `est_color` float default NULL,
  `ibu` float default NULL,
  `ibu_method` varchar(10) default NULL,
  `est_abv` float default NULL,
  `abv` float default NULL,
  `act_efficiency` float default NULL,
  `calories` smallint(5) unsigned default NULL,
  `rating` tinyint(3) unsigned default NULL,
  `taste_notes` text,
  PRIMARY KEY  (`reciperecid`),
  KEY `bxml_recipes_index1490` (`rectype`,`rating`,`name`)
) TYPE=MyISAM AUTO_INCREMENT=103 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_styles`
-- 

CREATE TABLE IF NOT EXISTS `bxml_styles` (
  `stylesrecid` mediumint(8) NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  `letter` char(2) NOT NULL default '',
  `guide` varchar(10) NOT NULL default '',
  `categorynum` tinyint(3) unsigned NOT NULL default '0',
  `category` varchar(45) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `styletype` varchar(10) NOT NULL default '',
  `og_min` float NOT NULL default '0',
  `og_max` float NOT NULL default '0',
  `fg_min` float NOT NULL default '0',
  `fg_max` float NOT NULL default '0',
  `ibu_min` float NOT NULL default '0',
  `ibu_max` float NOT NULL default '0',
  `color_min` float NOT NULL default '0',
  `color_max` float NOT NULL default '0',
  `carb_min` float default NULL,
  `carb_max` float default NULL,
  `abv_min` float default NULL,
  `abv_max` float default NULL,
  `notes` text,
  `profile` text,
  `ingredients` text,
  `examples` text,
  PRIMARY KEY  (`stylesrecid`),
  KEY `bxml_styles_index1494` (`letter`,`categorynum`,`category`,`styletype`)
) TYPE=MyISAM AUTO_INCREMENT=187 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_users`
-- 

CREATE TABLE IF NOT EXISTS `bxml_users` (
  `userrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `username` varchar(20) NOT NULL default '',
  `first_name` varchar(15) NOT NULL default '',
  `last_name` varchar(30) default NULL,
  `email` varchar(40) NOT NULL default '',
  `userpass` varchar(40) NOT NULL default '',
  `metric` tinyint(3) unsigned default NULL,
  `effic` varchar(5) default NULL,
  `gtemp` varchar(5) default NULL,
  `nonpub` varchar(5) default NULL,
  PRIMARY KEY  (`userrecid`),
  KEY `bxml_users_index1484` (`username`)
) TYPE=MyISAM AUTO_INCREMENT=22 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_waters`
-- 

CREATE TABLE IF NOT EXISTS `bxml_waters` (
  `watersrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(40) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `amount` float NOT NULL default '0',
  `calcium` float NOT NULL default '0',
  `bicarb` float NOT NULL default '0',
  `sulfate` float NOT NULL default '0',
  `chloride` float NOT NULL default '0',
  `sodium` float NOT NULL default '0',
  `magnesium` float NOT NULL default '0',
  `ph` float default NULL,
  `notes` text,
  PRIMARY KEY  (`watersrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_waters_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_waters_index1502` (`name`)
) TYPE=MyISAM AUTO_INCREMENT=72 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `bxml_yeasts`
-- 

CREATE TABLE IF NOT EXISTS `bxml_yeasts` (
  `yeastrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `prodid` varchar(15) NOT NULL default '',
  `name` varchar(40) NOT NULL default '',
  `yeasttype` varchar(10) NOT NULL default '',
  `form` varchar(10) NOT NULL default '',
  `lab` varchar(20) default NULL,
  `amount` float NOT NULL default '0',
  `amtweight` tinyint(3) unsigned default NULL,
  `mintemp` float default NULL,
  `maxtemp` float default NULL,
  `flocc` varchar(10) default NULL,
  `version` tinyint(3) unsigned default NULL,
  `attenuation` float default NULL,
  `notes` text,
  `best` text,
  `maxreuse` tinyint(3) unsigned default NULL,
  `addsecond` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`yeastrecid`),
  KEY `bxml_yeasts_index1492` (`name`,`yeasttype`),
  KEY `bxml_yeasts_FKIndex1` (`bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=254 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `i_fermentables`
-- 

CREATE TABLE IF NOT EXISTS `i_fermentables` (
  `fermentrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `fermtype` varchar(15) NOT NULL default '',
  `amount` float NOT NULL default '0',
  `yield` float NOT NULL default '0',
  `color` float NOT NULL default '0',
  `add_after_boil` tinyint(3) unsigned default NULL,
  `origin` text,
  `supplier` text,
  `notes` text,
  `coarse` float default NULL,
  `moisture` float default NULL,
  `diastatic` float default NULL,
  `protein` float default NULL,
  `maxin` float default NULL,
  `shouldmash` tinyint(3) unsigned default NULL,
  `ibugal` float default NULL,
  `potential` float default NULL,
  PRIMARY KEY  (`fermentrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_fermentables_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_fermentables_index1488` (`name`,`fermtype`)
) TYPE=MyISAM AUTO_INCREMENT=117 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `i_hops`
-- 

CREATE TABLE IF NOT EXISTS `i_hops` (
  `hopsrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(45) NOT NULL default '',
  `version` smallint(5) unsigned NOT NULL default '0',
  `alpha` float NOT NULL default '0',
  `amount` float NOT NULL default '0',
  `hopuse` varchar(10) NOT NULL default '',
  `time` float NOT NULL default '0',
  `notes` text,
  `hoptype` varchar(10) default NULL,
  `form` varchar(10) default NULL,
  `beta` float default NULL,
  `hsi` float default NULL,
  `origin` text,
  `substitutes` text,
  `humulene` float default NULL,
  `caryo` float default NULL,
  `cohum` float default NULL,
  `myrcene` float default NULL,
  PRIMARY KEY  (`hopsrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_hops_FKIndex1` (`bxml_recipes_reciperecid`),
  KEY `bxml_hops_index1496` (`name`,`hoptype`,`hopuse`)
) TYPE=MyISAM AUTO_INCREMENT=74 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `i_miscs`
-- 

CREATE TABLE IF NOT EXISTS `i_miscs` (
  `miscsrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(40) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `misctype` varchar(20) NOT NULL default '',
  `miscuse` varchar(20) NOT NULL default '',
  `time` float NOT NULL default '0',
  `amount` float NOT NULL default '0',
  `amtweight` tinyint(3) unsigned default NULL,
  `usefor` text,
  `notes` text,
  PRIMARY KEY  (`miscsrecid`,`bxml_recipes_reciperecid`),
  KEY `bxml_miscs_FKIndex1` (`bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=70 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `i_styles`
-- 

CREATE TABLE IF NOT EXISTS `i_styles` (
  `stylesrecid` mediumint(8) NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(60) NOT NULL default '',
  `letter` char(2) NOT NULL default '',
  `guide` varchar(10) NOT NULL default '',
  `categorynum` tinyint(3) unsigned NOT NULL default '0',
  `category` varchar(45) NOT NULL default '',
  `version` tinyint(3) unsigned NOT NULL default '0',
  `styletype` varchar(10) NOT NULL default '',
  `og_min` float NOT NULL default '0',
  `og_max` float NOT NULL default '0',
  `fg_min` float NOT NULL default '0',
  `fg_max` float NOT NULL default '0',
  `ibu_min` float NOT NULL default '0',
  `ibu_max` float NOT NULL default '0',
  `color_min` float NOT NULL default '0',
  `color_max` float NOT NULL default '0',
  `carb_min` float default NULL,
  `carb_max` float default NULL,
  `abv_min` float default NULL,
  `abv_max` float default NULL,
  `notes` text,
  `profile` text,
  `ingredients` text,
  `examples` text,
  PRIMARY KEY  (`stylesrecid`),
  KEY `bxml_styles_index1494` (`letter`,`categorynum`,`category`,`styletype`)
) TYPE=MyISAM AUTO_INCREMENT=99 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `i_yeasts`
-- 

CREATE TABLE IF NOT EXISTS `i_yeasts` (
  `yeastrecid` mediumint(8) unsigned NOT NULL auto_increment,
  `bxml_recipes_reciperecid` smallint(5) unsigned NOT NULL default '0',
  `prodid` varchar(15) NOT NULL default '',
  `name` varchar(40) NOT NULL default '',
  `yeasttype` varchar(10) NOT NULL default '',
  `form` varchar(10) NOT NULL default '',
  `lab` varchar(20) default NULL,
  `amount` float NOT NULL default '0',
  `amtweight` tinyint(3) unsigned default NULL,
  `mintemp` float default NULL,
  `maxtemp` float default NULL,
  `flocc` varchar(10) default NULL,
  `version` tinyint(3) unsigned default NULL,
  `attenuation` float default NULL,
  `notes` text,
  `best` text,
  `maxreuse` tinyint(3) unsigned default NULL,
  `addsecond` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`yeastrecid`),
  KEY `bxml_yeasts_index1492` (`name`,`yeasttype`),
  KEY `bxml_yeasts_FKIndex1` (`bxml_recipes_reciperecid`)
) TYPE=MyISAM AUTO_INCREMENT=165 ;
